OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom2d

# PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve Class Reference

`#include <PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve ()
| PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve (const Handle(PGeom2d_BoundedCurve)&aValue)
void | SetValue (const Handle(PGeom2d_BoundedCurve)&aValue)
Standard_Address | Value () const
## Private Attributes
Handle_PGeom2d_BoundedCurve | myValue

## Constructor & Destructor Documentation

PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve | ( |  | ) |

PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve | ( | const Handle(PGeom2d_BoundedCurve)& | aValue | ) |

## Member Function Documentation

void PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::SetValue | ( | const Handle(PGeom2d_BoundedCurve)& | aValue | ) |

Standard_Address PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom2d_BoundedCurve PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom2d_VArrayTNodeOfFieldOfHArray1OfBoundedCurve.hxx